//
//  LiveRoomHeartView.swift
//  SodaLive
//
//  Created by klaus on 10/24/24.
//

import SwiftUI

struct LiveRoomHeartView: View {
    let heart: Heart
    
    var body: some View {
        Image("ic_heart_pink")
            .resizable()
            .frame(width: 24 * heart.scale, height: 24 * heart.scale) // 크기 조절
            .shadow(radius: 10)
    }
}

#Preview {
    LiveRoomHeartView(
        heart: Heart(
            id: UUID(),
            offsetX: 0,
            offsetY: 0,
            opacity: 1.0,
            speed: 1.0,
            scale: 0.5,
            direction: "left"
        )
    )
}
